## ceilometer 22.0.1

=== debian/changelog ===
ceilometer (1:22.0.1-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Replace_request-aws_by_awscurl.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Fri, 14 Nov 2025 13:30:55 +0000

ceilometer (1:22.0.1-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Sep 2025 11:50:28 +0200

ceilometer (1:22.0.0-2) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:11:11 +0200

ceilometer (1:22.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 09:02:16 +0200

ceilometer (1:22.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-monascaclient from (build-)depends.
  * Removed lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 12:03:52 +0100

=== debian/control ===
Source: ceilometer
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 git,
 python3-awsauth,
 python3-awscurl,
 python3-botocore,
 python3-cachetools,
 python3-cinderclient,
 python3-cotyledon,
 python3-coverage <!nocheck>,
 python3-eventlet,
 python3-fixtures <!nocheck>,
 python3-futurist,
 python3-gabbi,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-jsonpath-rw-ext,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-kombu,
 python3-lxml,
 python3-msgpack,
 python3-mysqldb,
 python3-neutronclient,
 python3-novaclient,
 python3-openssl,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-win,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-oslotest,
 python3-pastedeploy,
 python3-psycopg2,
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.httpdomain,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-swiftclient,
 python3-tempest <!nocheck>,
 python3-tenacity,
 python3-testresources <!nocheck>,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 python3-tooz,
 python3-webtest <!nocheck>,
 python3-werkzeug,
 python3-xmltodict,
 python3-yaml,
 python3-zaqarclient,
 subunit <!nocheck>,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ceilometer
Vcs-Git: https://salsa.debian.org/openstack-team/services/ceilometer.git
Homepage: http://wiki.openstack.org/Ceilometer

Package: ceilometer-agent-central
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - agent central
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-compute
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - compute agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ipmitool,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - IPMI agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the IPMI agent daemon.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - notification agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent daemon.

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 ceilometer-api,
 ceilometer-collector,
Description: OpenStack efficient metering counters system - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Ceilometer.

Package: ceilometer-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack efficient metering counters system - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: ceilometer-polling
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 mongodb,
Description: OpenStack efficient metering counters system - Polling agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: python3-ceilometer
Section: python
Architecture: all
Depends:
 libjs-jquery,
 python3-awscurl,
 python3-botocore,
 python3-cachetools,
 python3-cinderclient,
 python3-cotyledon,
 python3-futurist,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-greenlet,
 python3-jsonpath-rw-ext,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-kombu,
 python3-lxml,
 python3-msgpack,
 python3-mysqldb,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-pastedeploy,
 python3-pbr,
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-stevedore,
 python3-swiftclient,
 python3-tenacity,
 python3-tooz,
 python3-werkzeug,
 python3-xmltodict,
 python3-yaml,
 python3-zaqarclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Ceilometer.

## ceilometer 23.0.0~rc1

=== debian/changelog ===
ceilometer (1:23.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 16:33:00 +0200

ceilometer (1:23.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-os-win from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2024 16:10:21 +0200

## ceilometer 23.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

xmltodict>=0.13.0 # MIT License
cachetools>=2.1.0 # MIT License
cotyledon>=1.3.0 #Apache-2.0
futurist>=1.8.0 # Apache-2.0
jsonpath-rw-ext>=1.1.3 # Apache-2.0
lxml>=4.5.1 # BSD
msgpack>=0.5.2 # Apache-2.0
oslo.concurrency>=3.29.0 # Apache-2.0
oslo.config>=8.6.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
pbr>=2.0.0 # Apache-2.0
oslo.messaging>=10.3.0 # Apache-2.0
oslo.upgradecheck>=0.1.1 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.privsep>=1.32.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.18.0 # Apache-2.0
keystoneauth1>=3.18.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-cinderclient>=3.3.0  # Apache-2.0
PyYAML>=5.1 # MIT
requests>=2.25.1 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
tenacity>=6.3.1  # Apache-2.0
tooz>=1.47.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
gnocchiclient>=7.0.0 # Apache-2.0
python-zaqarclient>=1.3.0 # Apache-2.0

=== debian/changelog ===
ceilometer (1:23.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 15:38:39 +0200

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,6 @@
 Build-Depends-Indep:
  git,
  python3-awsauth,
- python3-awscurl,
- python3-botocore,
  python3-cachetools,
  python3-cinderclient,
  python3-cotyledon,
@@ -41,7 +39,6 @@
  python3-openssl,
  python3-openstackdocstheme,
  python3-os-api-ref,
- python3-os-win,
  python3-oslo.cache,
  python3-oslo.concurrency,
  python3-oslo.config,
@@ -222,8 +219,6 @@
 Architecture: all
 Depends:
  libjs-jquery,
- python3-awscurl,
- python3-botocore,
  python3-cachetools,
  python3-cinderclient,
  python3-cotyledon,

## ceilometer 23.0.0+git2025011509.cedc6fd80

=== debian/changelog ===
ceilometer (2:23.0.0+git2025011509.cedc6fd80-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop surplus dependencies.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Sat, 18 Jan 2025 15:51:16 +0000

ceilometer (2:23.0.0-0ubuntu2) oracular; urgency=medium

  * d/p/patch-requirements.patch: Drop empty patch which is causing some
    issues with backport tooling for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Fri, 04 Oct 2024 09:25:47 +0100

ceilometer (2:23.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:19:22 +0100

ceilometer (2:23.0.0~rc1-0ubuntu1) oracular; urgency=medium

  [ James Page ]
  * d/gbp.conf: upstream-branch -> upstream-dalmatian.

  [ Jadon Naas ]
  * New upstream release candidate for OpenStack Dalmatian

 -- Jadon Naas <jadon.naas@canonical.com>  Wed, 25 Sep 2024 10:28:55 +0100

ceilometer (2:22.0.0+git2024080716.e9842dd9-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- Jadon Naas <jadon.naas@canonical.com>  Mon, 19 Aug 2024 09:18:06 +0100

ceilometer (2:22.0.0-0ubuntu2) oracular; urgency=medium

  * d/patches/install-missing-files.patch: Ensure that all data files
    in the Python module directories are included in the binary package
    (LP: #2071939). 

 -- James Page <james.page@ubuntu.com>  Mon, 08 Jul 2024 09:24:13 +0100

=== debian/tests/control ===
Tests:
 test-services,
Depends:
 ceilometer-agent-central,
 ceilometer-agent-compute,
 ceilometer-agent-ipmi,
 ceilometer-agent-notification,
 ceilometer-common,
 ceilometer-polling,
 libvirt-daemon-system,
 nova-compute,
 python3-libvirt,
 rabbitmq-server,

## ceilometer 23.0.0+git2025030311.dc7d59993

=== debian/changelog ===
ceilometer (2:23.0.0+git2025030311.dc7d59993-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/p/patch-test-base.patch: Refresh patch.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 09:13:03 +0000

ceilometer (2:23.0.0+git2025011509.cedc6fd80-0ubuntu2) plucky; urgency=medium

  * d/tests/control,test-services: Drop test for ceilometer-agent-
    compute as it is racey and won't run reliably without the rest of an
    OpenStack control plane.

 -- James Page <james.page@ubuntu.com>  Tue, 21 Jan 2025 15:42:25 +0000

## ceilometer 23.0.1

=== debian/changelog ===
ceilometer (1:23.0.1-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Replace_request-aws_by_awscurl.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Fri, 14 Nov 2025 13:22:28 +0000

ceilometer (1:23.0.1-1) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.
  * New upsream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Sep 2025 12:13:51 +0200

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,8 @@
 Build-Depends-Indep:
  git,
  python3-awsauth,
+ python3-awscurl,
+ python3-botocore,
  python3-cachetools,
  python3-cinderclient,
  python3-cotyledon,
@@ -219,6 +221,8 @@
 Architecture: all
 Depends:
  libjs-jquery,
+ python3-awscurl,
+ python3-botocore,
  python3-cachetools,
  python3-cinderclient,
  python3-cotyledon,

## ceilometer 23.0.2

=== debian/changelog ===
ceilometer (1:23.0.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 03 Feb 2026 14:19:23 +0000

ceilometer (1:23.0.1-2) UNRELEASED; urgency=medium

  * Add Replace_request-aws_by_awscurl.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Nov 2025 13:47:01 +0100

## ceilometer 24.0.0~rc1

=== debian/changelog ===
ceilometer (1:24.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 14:13:06 +0100

ceilometer (1:24.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.
  * Blacklist TestPromExporter.test_export_called.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 17:02:32 +0100

## ceilometer 24.0.0

=== doc/requirements.txt ===
sphinx>=2.1.1 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
reno>=3.1.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
ceilometer (1:24.0.0-2) unstable; urgency=medium

  * Add export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 13:41:25 +0200

ceilometer (1:24.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:08:53 +0200

=== debian/control ===
--- 
+++ 
@@ -17,16 +17,12 @@
 Build-Depends-Indep:
  git,
  python3-awsauth,
- python3-awscurl,
- python3-botocore,
  python3-cachetools,
  python3-cinderclient,
  python3-cotyledon,
  python3-coverage <!nocheck>,
- python3-eventlet,
  python3-fixtures <!nocheck>,
  python3-futurist,
- python3-gabbi,
  python3-glanceclient,
  python3-gnocchiclient,
  python3-jsonpath-rw-ext,
@@ -38,7 +34,6 @@
  python3-mysqldb,
  python3-neutronclient,
  python3-novaclient,
- python3-openssl,
  python3-openstackdocstheme,
  python3-os-api-ref,
  python3-oslo.cache,
@@ -52,9 +47,9 @@
  python3-oslo.rootwrap,
  python3-oslo.upgradecheck,
  python3-oslo.utils,
- python3-oslo.vmware,
  python3-oslotest,
  python3-pastedeploy,
+ python3-prometheus-client (>= 0.20.0),
  python3-psycopg2,
  python3-pymongo,
  python3-pymysql,
@@ -221,8 +216,6 @@
 Architecture: all
 Depends:
  libjs-jquery,
- python3-awscurl,
- python3-botocore,
  python3-cachetools,
  python3-cinderclient,
  python3-cotyledon,
@@ -252,9 +245,9 @@
  python3-oslo.service,
  python3-oslo.upgradecheck,
  python3-oslo.utils,
- python3-oslo.vmware,
  python3-pastedeploy,
  python3-pbr,
+ python3-prometheus-client (>= 0.20.0),
  python3-pymongo,
  python3-pymysql,
  python3-requests,

## ceilometer 24.0.0+git2025070714.e2eab4b75

=== debian/changelog ===
ceilometer (2:24.0.0+git2025070714.e2eab4b75-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.
  * d/control: update maintainer to Ubuntu Devel

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/p/skip-bin-test.patch: Drop patch.
  * d/p/series: Remove skip-bin-test.patch.
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream. 

 -- Myles Penner <myles.penner@canonical.com>  Fri, 18 Jul 2025 08:45:05 -0700

ceilometer (2:24.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 16:45:09 +0200

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.1.1),
Build-Depends-Indep:
 python3-aodhclient (>= 3.5.1),
 python3-awsauth (>= 0.1.4),
 python3-cachetools (>= 2.1.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-confluent-kafka (>= 0.11.0),
 python3-cotyledon (>= 1.3.0),
 python3-croniter,
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.30.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.8.0),
 python3-gabbi (>= 1.30.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 7.0.0),
 python3-jsonpath-rw-ext (>= 1.1.3),
 python3-kafka,
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient (>= 1:3.18.0),
 python3-libvirt,
 python3-lxml (>= 4.5.1),
 python3-monascaclient (>= 1.12.0),
 python3-monotonic (>= 0.6),
 python3-msgpack (>= 0.5.2),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openssl (>= 17.5.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-os-win (>= 3.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.29.0),
 python3-oslo.config (>= 1:8.6.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 10.3.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 2.0.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslotest (>= 1:3.8.0),
 python3-prometheus-client,
 python3-requests (>= 2.25.1),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tempest (>= 1:14.0.0),
 python3-tenacity (>= 6.3.1),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.1),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.47.0),
 python3-xmltodict (>= 0.13.0),
 python3-yaml (>= 5.1),
 python3-zake,
 python3-zaqarclient (>= 1.3.0),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ceilometer
Homepage: https://opendev.org/openstack/ceilometer
Testsuite: autopkgtest-pkg-python

Package: ceilometer-agent-central
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-compute
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ipmitool,
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer ipmi agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the ipmi agent.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent.

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-polling
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer polling service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: python3-ceilometer
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 python3-aodhclient (>= 3.5.1),
 python3-cachetools (>= 2.1.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-cotyledon (>= 1.3.0),
 python3-croniter,
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.30.1),
 python3-futurist (>= 1.8.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 7.0.0),
 python3-jsonpath-rw-ext (>= 1.1.3),
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient (>= 1:3.18.0),
 python3-libvirt,
 python3-lxml (>= 4.5.1),
 python3-monascaclient (>= 1.12.0),
 python3-monotonic (>= 0.6),
 python3-msgpack (>= 0.5.2),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.29.0),
 python3-oslo.config (>= 1:8.6.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 10.3.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 2.0.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 4.7.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.25.1),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.3.1),
 python3-tooz (>= 1.47.0),
 python3-xmltodict (>= 0.13.0),
 python3-yaml (>= 5.1),
 python3-zaqarclient (>= 1.3.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-kafka (>= 1.3.2),
 python3-zake,
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python 3 module for ceilometer.

## ceilometer 24.0.1

=== debian/changelog ===
ceilometer (1:24.0.1-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Replace_request-aws_by_awscurl.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 14 Nov 2025 13:19:14 +0000

ceilometer (1:24.0.1-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 11:28:22 +0200

=== debian/control ===
Source: ceilometer
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 git,
 python3-awsauth,
 python3-awscurl,
 python3-botocore,
 python3-cachetools,
 python3-cinderclient,
 python3-cotyledon,
 python3-coverage <!nocheck>,
 python3-fixtures <!nocheck>,
 python3-futurist,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-jsonpath-rw-ext,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-kombu,
 python3-lxml,
 python3-msgpack,
 python3-mysqldb,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-pastedeploy,
 python3-prometheus-client (>= 0.20.0),
 python3-psycopg2,
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.httpdomain,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-swiftclient,
 python3-tempest <!nocheck>,
 python3-tenacity,
 python3-testresources <!nocheck>,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 python3-tooz,
 python3-webtest <!nocheck>,
 python3-werkzeug,
 python3-xmltodict,
 python3-yaml,
 python3-zaqarclient,
 subunit <!nocheck>,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ceilometer
Vcs-Git: https://salsa.debian.org/openstack-team/services/ceilometer.git
Homepage: http://wiki.openstack.org/Ceilometer

Package: ceilometer-agent-central
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - agent central
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-compute
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - compute agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ipmitool,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - IPMI agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the IPMI agent daemon.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - notification agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent daemon.

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 ceilometer-api,
 ceilometer-collector,
Description: OpenStack efficient metering counters system - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Ceilometer.

Package: ceilometer-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack efficient metering counters system - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: ceilometer-polling
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 mongodb,
Description: OpenStack efficient metering counters system - Polling agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: python3-ceilometer
Section: python
Architecture: all
Depends:
 libjs-jquery,
 python3-awscurl,
 python3-botocore,
 python3-cachetools,
 python3-cinderclient,
 python3-cotyledon,
 python3-futurist,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-greenlet,
 python3-jsonpath-rw-ext,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-kombu,
 python3-lxml,
 python3-msgpack,
 python3-mysqldb,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-pastedeploy,
 python3-pbr,
 python3-prometheus-client (>= 0.20.0),
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-stevedore,
 python3-swiftclient,
 python3-tenacity,
 python3-tooz,
 python3-werkzeug,
 python3-xmltodict,
 python3-yaml,
 python3-zaqarclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Ceilometer.

## ceilometer 25.0.0~rc1

=== debian/changelog ===
ceilometer (1:25.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Sun, 28 Sep 2025 21:53:16 +0000

ceilometer (1:25.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 23:41:52 +0200

ceilometer (1:25.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add remove-rgw-client-antique-lib.patch.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2025 12:56:02 +0200
